#ifndef BARRIER_H
#define BARRIER_H
#include <memory>
#include <string>

#include "recognize_data.h"


namespace zsy
{
    class Barrier
    {
    public:
        virtual ~Barrier() = default;

        virtual void open() = 0;

        virtual bool isFront() = 0;

        virtual std::string sn() = 0;

        virtual std::string name() = 0;

        virtual std::shared_ptr<std::istream> resolvePhoto(const std::string &imageFile) = 0;
    };
} // zsy

#endif //BARRIER_H
